# Noarch python module but with archful dependency
%define debug_package %nil

Name:		python-augeas
Version:	1.0.2
Release:	%mkrel 3
Summary:	Python bindings for augeas
Group:		Development/Python
License:	LGPLv2+
Url:		http://augeas.net/
Source0:	https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildRequires:	augeas-devel

BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	python-devel
BuildRequires:	python-cffi

Requires:	%{_lib}augeas0

# https://github.com/hercules-team/python-augeas/pull/27
Patch0:		python-augeas-1.0.2-always-return-bytes-from-enc.patch

%description
python-augeas is a set of Python bindings around augeas.

%package -n     python3-augeas
Summary:	Python bindings to augeas for Python 3
Group:		Development/Python

BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	python3-devel
BuildRequires:	python3-cffi

Requires:	%{_lib}augeas0

%description -n python3-augeas
python-augeas is a set of Python bindings around augeas.

%prep
%autosetup -p1


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files
%doc COPYING AUTHORS README.txt
%{python2_sitelib}/augeas.py*
%{python2_sitelib}/augeas/*
%{python2_sitelib}/*.egg-info


%files -n python3-augeas
%doc COPYING AUTHORS README.txt
%{python3_sitelib}/augeas.py
%{python3_sitelib}/augeas/*
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/__pycache__/*.cpython-35.*


%changelog
* Tue May 30 2017 mitya <mitya> 1.0.2-3.mga6
+ Revision: 1105630
- Apply GitHub PR #27 to fix certbot-apache

* Sun May 28 2017 akien <akien> 1.0.2-2.mga6
+ Revision: 1105323
- Fix bogus BuildRequires and i586 Requires
- Make package archful to allow proper %%{_lib}augeas0 dependency

* Wed May 24 2017 mitya <mitya> 1.0.2-1.mga6
+ Revision: 1104437
- New version 1.0.2
- New version 1.0.2

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-7.mga6
+ Revision: 970565
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 spuhler <spuhler> 0.5.0-6.mga6
+ Revision: 887207
- updated %%{python3_sitelib}/__pycache__/augeas.cpython-34.* to 35.*
- rebuild with new python-3.5

* Sun Sep 13 2015 spuhler <spuhler> 0.5.0-5.mga6
+ Revision: 878979
- added the __pycache__ files for python3
- build per new python policy
- updated the py macros

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 744400
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.0-3.mga5
+ Revision: 728088
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-2.mga5
+ Revision: 687894
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 spuhler <spuhler> 0.5.0-1.mga5
+ Revision: 672888
- upgrade to version 0.5.0

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.4.1-5.mga4
+ Revision: 542961
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.4.1-4.mga4
+ Revision: 498139
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.1-3.mga3
+ Revision: 378478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 spuhler <spuhler> 0.4.1-2.mga3
+ Revision: 286847
- changed Requires: libaugeas-devel to auges-devel to make it arch independent

* Mon Jul 16 2012 spuhler <spuhler> 0.4.1-1.mga3
+ Revision: 271161
- upgrade to 0.4.1
- imported package python-augeas

